Bug Hunting Session
Bug 118783 - FILESAVE: document saved as pptx that contains spin animation won't open
Summary: FILESAVE: document saved as pptx that contains spin animation won't open
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Mark Hung
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: PPTX-Corrupted
  Show dependency treegraph
 
Reported: 2018-07-16 13:05 UTC by Mark Hung
Modified: 2018-07-19 13:15 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file (11.37 KB, application/vnd.oasis.opendocument.presentation)
2018-07-16 13:09 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2018-07-16 13:05:58 UTC

    
Comment 1 Mark Hung 2018-07-16 13:09:52 UTC
Created attachment 143573 [details]
Sample file

1. Open the attached odp file which contains a spin animation effect.
( or simply create a new document, insert a simple shape, then insert a spin animation effect. )
2. Save as pptx file.
3. Open it in Powerpoint. 

Expected result: file can open.
Actual result: Powerpoint reports that file is corrupted.
Comment 2 Xisco Faulí 2018-07-17 17:15:56 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/57579/
Comment 3 Commit Notification 2018-07-19 13:11:20 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=71f7ecae6e0ef45730db4e288108cc4a3994612a

tdf#118783 sd:fix spin animation in saved pptx file.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.